Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		bison
Version:	2.4.3
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.gnu.org/software/bison/bison.html
Group:		System/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	Bison is a general-purpose parser generator.
Requires(pre):	/sbin/install-info

BuildRequires: flex

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
Bison is a general-purpose parser generator that converts a grammar description for an LALR
context-free grammar into a C program to parse that grammar.
Once you are proficient with Bison, you can use it to develop a wide range of language parsers,
from those used in simple desk calculators to complex programming languages.
Bison is upward compatible with Yacc:
all properly-written Yacc grammars ought to work with Bison with no change.
Anyone familiar with Yacc should be able to use Bison with little trouble.
You need to be fluent in C programming in order to use Bison. 
For more details see: http://www.gnu.org/software/bison/bison.html

%post
/sbin/install-info %{_infodir}/bison.info.gz %{_infodir}/dir
 
%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --del %{_infodir}/bison.info.gz %{_infodir}/dir 
fi 

%prep
%setup -qn %{name}-%{version}

%build
./configure --prefix=%_prefix \
				--mandir=%_mandir \
				--infodir=%_infodir \
				--disable-dependency-tracking
make  %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%_infodir/dir

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/bison
%{_bindir}/yacc
%{_libdir}/liby.a
%{_aclocal}/bison-i18n.m4
%{_datadir}/bison/README
%{_datadir}/bison/bison.m4
%{_datadir}/bison/c.m4
%{_datadir}/bison/c++.m4
%{_datadir}/bison/c-skel.m4
%{_datadir}/bison/c++-skel.m4
%{_datadir}/bison/glr.c
%{_datadir}/bison/glr.cc
%{_datadir}/bison/java.m4
%{_datadir}/bison/java-skel.m4
%{_datadir}/bison/lalr1.cc
%{_datadir}/bison/lalr1.java
%{_datadir}/bison/location.cc
%{_datadir}/bison/m4sugar/foreach.m4
%{_datadir}/bison/m4sugar/m4sugar.m4
%{_datadir}/bison/xslt/bison.xsl
%{_datadir}/bison/xslt/xml2dot.xsl
%{_datadir}/bison/xslt/xml2text.xsl
%{_datadir}/bison/xslt/xml2xhtml.xsl
%{_datadir}/bison/yacc.c
%{_infodir}/bison.info.gz
%{_locale}/*/LC_MESSAGES/bison-runtime.mo
%{_locale}/*/LC_MESSAGES/bison.mo
%{_mandir}/man1/bison.1.gz
%{_mandir}/man1/yacc.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.3-1
- version update
* Sat Jun 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3-1
- version update
* Thu Sep 22 2005 Christian Metzen <metzench@ccux-linux.de> 2.1-1
- Version update, removed wrong obsoletes Tag, added infofile install
* Sun Apr 24 2005 Christian Wasem <wasem@ccux-linux.de> 2.0-1
- update to Version 2.0
